Opened 8 years ago

#45962 new enhancement

logstalgia @1.0.6: use libsdl2

Reported by: ryandesign (Ryan Schmidt) Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: eiked
Port: logstalgia

Description

logstalgia uses libsdl and libsdl_image, but the homepage says "Logstalgia now uses SDL 2.0 when available, providing much better multi-monitor support" and "SDL 1.2 support is deprecated." MacPorts provides libsdl2 and libsdl2_image; if logstalgia can use these instead perhaps it should. However, libsdl2 requires OS X 10.7 or later. If support for OS X 10.6 and earlier is desired, variants could be provided, with the libsdl2 variant being the default on 10.7 and up and the libsdl variant being the default on 10.6 and under.

Change History (0)

Note: See TracTickets for help on using tickets.